Index: admin/index.php
===================================================================
--- admin/index.php	(revision 13)
+++ admin/index.php	(revision 0)
@@ -43,29 +43,7 @@
 $plugins_install = $core->plugins->installModules();
 
-# Check dashboard module prefs
-$core->auth->user_prefs->addWorkspace('dashboard');
-if (!$core->auth->user_prefs->dashboard->prefExists('doclinks')) {
-	if (!$core->auth->user_prefs->dashboard->prefExists('doclinks',true)) {
-		$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean');
-}
-if (!$core->auth->user_prefs->dashboard->prefExists('dcnews')) {
-	if (!$core->auth->user_prefs->dashboard->prefExists('dcnews',true)) {
-		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean');
-}
-if (!$core->auth->user_prefs->dashboard->prefExists('quickentry')) {
-	if (!$core->auth->user_prefs->dashboard->prefExists('quickentry',true)) {
-		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean');
-}
-
 # Dashboard icons
 $__dashboard_icons = new ArrayObject();
 
-# Dashboard favorites
 $post_count = $core->blog->getPosts(array(),true)->f(0);
 $str_entries = ($post_count > 1) ? __('%d entries') : __('%d entry');
@@ -74,37 +52,17 @@
 $str_comments = ($comment_count > 1) ? __('%d comments') : __('%d comment');
 
-$ws = $core->auth->user_prefs->addWorkspace('favorites');
-$count = 0;
-foreach ($ws->dumpPrefs() as $k => $v) {
-	// User favorites only
-	if (!$v['global']) {
-		$fav = unserialize($v['value']);
-		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			$count++;
-			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-			$__dashboard_icons[$fav['name']] = new ArrayObject(array($title,$fav['url'],$fav['large-icon']));
-		}
-	}
-}	
-if (!$count) {
-	// Global favorites if any
-	foreach ($ws->dumpPrefs() as $k => $v) {
-		$fav = unserialize($v['value']);
-		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			$count++;
-			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-			$__dashboard_icons[$fav['name']] = new ArrayObject(array($title,$fav['url'],$fav['large-icon']));
-		}
-	}
-}
-if (!$count) {
-	// No user or global favorites, add "user pref" and "new entry" fav
-	if ($core->auth->check('usage,contentadmin',$core->blog->id)) {
-		$__dashboard_icons['new_post'] = new ArrayObject(array(__('New entry'),'post.php','images/menu/edit-b.png'));
-	}
-	$__dashboard_icons['prefs'] = new ArrayObject(array(__('My preferences'),'preferences.php','images/menu/user-pref-b.png'));
-}
+$__dashboard_icons['new_post'] = new ArrayObject(array(__('New entry'),'post.php','images/menu/edit-b.png'));
+$__dashboard_icons['posts'] = new ArrayObject(array(sprintf($str_entries,$post_count),'posts.php','images/menu/entries-b.png'));
+$__dashboard_icons['comments'] = new ArrayObject(array(sprintf($str_comments,$comment_count),'comments.php','images/menu/comments-b.png'));
+$__dashboard_icons['prefs'] = new ArrayObject(array(__('User preferences'),'preferences.php','images/menu/user-pref-b.png'));
+
+if ($core->auth->check('admin',$core->blog->id))
+{
+	$__dashboard_icons['blog_pref'] = new ArrayObject(array(__('Blog settings'),'blog_pref.php','images/menu/blog-pref-b.png'));
+	$__dashboard_icons['blog_theme'] = new ArrayObject(array(__('Blog appearance'),'blog_theme.php','images/menu/blog-theme-b.png'));
+}
+
+$core->callBehavior('adminDashboardIcons', $core, $__dashboard_icons);
+
 
 # Latest news for dashboard
@@ -112,60 +70,53 @@
 
 # Documentation links
-$dashboardItem = 0;
-if ($core->auth->user_prefs->dashboard->doclinks) {
-	if (!empty($__resources['doc']))
+if (!empty($__resources['doc']))
+{
+	$doc_links = '<h3>'.__('Documentation').'</h3><ul>';
+	
+	foreach ($__resources['doc'] as $k => $v) {
+		$doc_links .= '<li><a href="'.$v.'">'.$k.'</a></li>';
+	}
+	
+	$doc_links .= '</ul>';
+	$__dashboard_items[0][] = $doc_links;
+}
+
+try
+{
+	if (empty($__resources['rss_news'])) {
+		throw new Exception();
+	}
+	
+	$feed_reader = new feedReader;
+	$feed_reader->setCacheDir(DC_TPL_CACHE);
+	$feed_reader->setTimeout(2);
+	$feed_reader->setUserAgent('Dotclear - http://www.dotclear.org/');
+	$feed = $feed_reader->parse($__resources['rss_news']);
+	if ($feed)
 	{
-		$doc_links = '<h3>'.__('Documentation').'</h3><ul>';
-	
-		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'">'.$k.'</a></li>';
+		$latest_news = '<h3>'.__('Latest news').'</h3><dl id="news">';
+		$i = 1;
+		foreach ($feed->items as $item)
+		{
+			$dt = isset($item->link) ? '<a href="'.$item->link.'">'.$item->title.'</a>' : $item->title;
+			
+			if ($i < 3) {
+				$latest_news .=
+				'<dt>'.$dt.'</dt>'.
+				'<dd><p><strong>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</strong>: '.
+				'<em>'.text::cutString(html::clean($item->content),120).'...</em></p></dd>';
+			} else {
+				$latest_news .=
+				'<dt>'.$dt.'</dt>'.
+				'<dd>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</dd>';
+			}
+			$i++;
+			if ($i > 7) { break; }
 		}
-	
-		$doc_links .= '</ul>';
-		$__dashboard_items[$dashboardItem][] = $doc_links;
-		$dashboardItem++;
-	}
-}
-
-if ($core->auth->user_prefs->dashboard->dcnews) {
-	try
-	{
-		if (empty($__resources['rss_news'])) {
-			throw new Exception();
-		}
-	
-		$feed_reader = new feedReader;
-		$feed_reader->setCacheDir(DC_TPL_CACHE);
-		$feed_reader->setTimeout(2);
-		$feed_reader->setUserAgent('Dotclear - http://www.dotclear.org/');
-		$feed = $feed_reader->parse($__resources['rss_news']);
-		if ($feed)
-		{
-			$latest_news = '<h3>'.__('Latest news').'</h3><dl id="news">';
-			$i = 1;
-			foreach ($feed->items as $item)
-			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'">'.$item->title.'</a>' : $item->title;
-			
-				if ($i < 3) {
-					$latest_news .=
-					'<dt>'.$dt.'</dt>'.
-					'<dd><p><strong>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</strong>: '.
-					'<em>'.text::cutString(html::clean($item->content),120).'...</em></p></dd>';
-				} else {
-					$latest_news .=
-					'<dt>'.$dt.'</dt>'.
-					'<dd>'.dt::dt2str('%d %B %Y',$item->pubdate,'Europe/Paris').'</dd>';
-				}
-				$i++;
-				if ($i > 3) { break; }
-			}
-			$latest_news .= '</dl>';
-			$__dashboard_items[$dashboardItem][] = $latest_news;
-			$dashboardItem++;
-		}
-	}
-	catch (Exception $e) {}
-}
+		$latest_news .= '</dl>';
+		$__dashboard_items[1][] = $latest_news;
+	}
+}
+catch (Exception $e) {}
 
 $core->callBehavior('adminDashboardItems', $core, $__dashboard_items);
@@ -230,47 +181,45 @@
 echo '</div>';
 
-if ($core->auth->user_prefs->dashboard->quickentry) {
-	if ($core->auth->check('usage,contentadmin',$core->blog->id))
-	{
-		$categories_combo = array('&nbsp;' => '');
-		try {
-			$categories = $core->blog->getCategories(array('post_type'=>'post'));
-			while ($categories->fetch()) {
-				$categories_combo[] = new formSelectOption(
-					str_repeat('&nbsp;&nbsp;',$categories->level-1).'&bull; '.html::escapeHTML($categories->cat_title),
-					$categories->cat_id
-				);
-			}
-		} catch (Exception $e) { }
-	
-		echo
-		'<div id="quick">'.
-		'<h3>'.__('Quick entry').'</h3>'.
-		'<form id="quick-entry" action="post.php" method="post">'.
-		'<fieldset>'.
-		'<p class="col"><label class="required" title="'.__('Required field').'">'.__('Title:').
-		form::field('post_title',20,255,'','maximal',2).
-		'</label></p>'.
-		'<p class="area"><label class="required" title="'.__('Required field').'" '.
-		'for="post_content">'.__('Content:').'</label> '.
-		form::textarea('post_content',50,7,'','',2).
-		'</p>'.
-		'<p><label class="classic">'.__('Category:').' '.
-		form::combo('cat_id',$categories_combo,'','',2).'</label></p>'.
-		'<p><input type="submit" value="'.__('save').'" name="save" tabindex="3" /> '.
-		($core->auth->check('publish',$core->blog->id)
-			? '<input type="hidden" value="'.__('save and publish').'" name="save-publish" />'
-			: '').
-		$core->formNonce().
-		form::hidden('post_status',-2).
-		form::hidden('post_format',$core->auth->getOption('post_format')).
-		form::hidden('post_excerpt','').
-		form::hidden('post_lang',$core->auth->getInfo('user_lang')).
-		form::hidden('post_notes','').
-		'</p>'.
-		'</fieldset>'.
-		'</form>'.
-		'</div>';
-	}
+if ($core->auth->check('usage,contentadmin',$core->blog->id))
+{
+	$categories_combo = array('&nbsp;' => '');
+	try {
+		$categories = $core->blog->getCategories(array('post_type'=>'post'));
+		while ($categories->fetch()) {
+			$categories_combo[] = new formSelectOption(
+				str_repeat('&nbsp;&nbsp;',$categories->level-1).'&bull; '.html::escapeHTML($categories->cat_title),
+				$categories->cat_id
+			);
+		}
+	} catch (Exception $e) { }
+	
+	echo
+	'<div id="quick">'.
+	'<h3>'.__('Quick entry').'</h3>'.
+	'<form id="quick-entry" action="post.php" method="post">'.
+	'<fieldset>'.
+	'<p class="col"><label class="required" title="'.__('Required field').'">'.__('Title:').
+	form::field('post_title',20,255,'','maximal',2).
+	'</label></p>'.
+	'<p class="area"><label class="required" title="'.__('Required field').'" '.
+	'for="post_content">'.__('Content:').'</label> '.
+	form::textarea('post_content',50,7,'','',2).
+	'</p>'.
+	'<p><label class="classic">'.__('Category:').' '.
+	form::combo('cat_id',$categories_combo,'','',2).'</label></p>'.
+	'<p><input type="submit" value="'.__('save').'" name="save" tabindex="3" /> '.
+	($core->auth->check('publish',$core->blog->id)
+		? '<input type="hidden" value="'.__('save and publish').'" name="save-publish" />'
+		: '').
+	$core->formNonce().
+	form::hidden('post_status',-2).
+	form::hidden('post_format',$core->auth->getOption('post_format')).
+	form::hidden('post_excerpt','').
+	form::hidden('post_lang',$core->auth->getInfo('user_lang')).
+	form::hidden('post_notes','').
+	'</p>'.
+	'</fieldset>'.
+	'</form>'.
+	'</div>';
 }
 
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 13)
+++ admin/install/index.php	(revision 0)
@@ -32,5 +32,4 @@
 	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/date');
 	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/main');
-	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/plugins');
 }
 
@@ -185,49 +184,4 @@
 		$core->plugins->loadModules(DC_PLUGINS_ROOT);
 		$plugins_install = $core->plugins->installModules();
-		
-		# Add dashboard module options
-		$core->auth->user_prefs->addWorkspace('dashboard');
-		$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
-		
-		# Add default favorites
-		$core->auth->user_prefs->addWorkspace('favorites');
-
-		$init_fav = array();
-		
-		$init_fav['new_post'] = array('new_post',__('New entry'),'post.php',
-			'images/menu/edit.png','images/menu/edit-b.png',
-			'usage,contentadmin',null,'menu-new-post');
-		$init_fav['posts'] = array('posts',__('Entries'),'posts.php',
-			'images/menu/entries.png','images/menu/entries-b.png',
-			'usage,contentadmin',null,null);
-		$init_fav['comments'] = array('comments',__('Comments'),'comments.php',
-			'images/menu/comments.png','images/menu/comments-b.png',
-			'usage,contentadmin',null,null);
-		$init_fav['prefs'] = array('prefs',__('My preferences'),'preferences.php',
-			'images/menu/user-pref.png','images/menu/user-pref-b.png',
-			'*',null,null);
-		$init_fav['blog_pref'] = array('blog_pref',__('Blog settings'),'blog_pref.php',
-			'images/menu/blog-pref.png','images/menu/blog-pref-b.png',
-			'admin',null,null);
-		$init_fav['blog_theme'] = array('blog_theme',__('Blog appearance'),'blog_theme.php',
-			'images/menu/themes.png','images/menu/blog-theme-b.png',
-			'admin',null,null);
-
-		$init_fav['pages'] = array('pages',__('Pages'),'plugin.php?p=pages',
-			'index.php?pf=pages/icon.png','index.php?pf=pages/icon-big.png',
-			'contentadmin,pages',null,null);
-		$init_fav['blogroll'] = array('blogroll',__('Blogroll'),'plugin.php?p=blogroll',
-			'index.php?pf=blogroll/icon-small.png','index.php?pf=blogroll/icon.png',
-			'usage,contentadmin',null,null);
-
-		$count = 0;
-		foreach ($init_fav as $k => $f) {
-			$t = array('name' => $f[0],'title' => $f[1],'url' => $f[2], 'small-icon' => $f[3],
-				'large-icon' => $f[4],'permissions' => $f[5],'id' => $f[6],'class' => $f[7]);
-			$core->auth->user_prefs->favorites->put(sprintf("g%03s",$count),serialize($t),'string',null,true,true);
-			$count++;
-		}
 		
 		$step = 1;
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 3)
+++ admin/js/_blog_theme.js	(revision 0)
@@ -46,5 +46,5 @@
 			}
 			if (submit_r.length > 0 && $('input:radio',info).attr('id') != 'theme_default') {
-				var remove = $('<a href="#" class="button delete">' + dotclear.msg.remove_this_theme + '</a>');
+				var remove = $('<a href="#" class="button">' + dotclear.msg.remove_this_theme + '</a>');
 				remove.click(function() {
 					var t_name = $(this).parents('#theme-box').find('div.theme-info h3:first').text();
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 3)
+++ admin/js/_index.js	(revision 0)
@@ -11,5 +11,5 @@
 		
 		if ($('input[name=save-publish]',f).length > 0) {
-			var btn = $('<input type="submit" value="' + $('input[name=save-publish]',f).val() + '" tabindex="3" />');
+			var btn = $('<input type="submit" class="submit" value="' + $('input[name=save-publish]',f).val() + '" tabindex="3" />');
 			$('input[name=save-publish]',f).remove();
 			$('input[name=save]',f).after(btn).after(' ');
Index: admin/js/_preferences.js
===================================================================
--- admin/js/_preferences.js	(revision 15)
+++ admin/js/_preferences.js	(revision 0)
@@ -20,19 +20,3 @@
 		return true;
 	});
-	$("#my-favs ul").sortable({'cursor':'move'});
-	$("#my-favs ul").hover(function () {
-		$(this).css({'cursor':'move'});
-	}, function () {
-		$(this).css({'cursor':'auto'});
-	});
-	$('#favs-form').submit(function() {
-		var order=[];
-		$("#my-favs ul li input.position").each(function() {
-			order.push(this.name.replace(/^order\[([^\]]+)\]$/,'$1'));
-		});
-		$("input[name=favs_order]")[0].value = order.join(',');
-		return true;
-	});
-	$("#my-favs ul li input.position").hide();
-
 });
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3)
+++ admin/js/common.js	(revision 0)
@@ -196,5 +196,5 @@
 	sizeBox();
 	
-	var img = $('<span id="help-button">'+dotclear.msg.help+'</span>');
+	var img = $('<img src="images/help.png" alt="'+dotclear.msg.help+'" title="'+dotclear.msg.help+'" id="help-button" />');
 	var select = $();
 	img.click(function() { return toggle(); });
@@ -339,7 +339,4 @@
 		$.extend({cookie:'dc_plugins_menu'},menu_settings)
 	);
-	$('#favorites-menu h3:first').toggleWithLegend($('#favorites-menu ul:first'),
-		$.extend({cookie:'dc_favorites_menu'},menu_settings)
-	);
 	
 	$('#help').helpViewer();
Index: admin/js/jquery/jquery.candyUpload.js
===================================================================
--- admin/js/jquery/jquery.candyUpload.js	(revision 3)
+++ admin/js/jquery/jquery.candyUpload.js	(revision 0)
@@ -449,17 +449,17 @@
 		
 		createControls: function() {
-			this.ctrl.btn_browse = $('<a href="#" class="button">&nbsp;</a>').click(function() {
-				return false;
-			});
-			
-			this.ctrl.btn_cancel = $('<a href="#" class="button">' + this.locales.cancel + '</a>').click(function() {
-				return false;
-			});
-			
-			this.ctrl.btn_clean = $('<a href="#" class="button">' + this.locales.clean + '</a>').click(function() {
-				return false;
-			});
-			
-			this.ctrl.btn_upload = $('<a href="#" class="button">' + this.locales.upload + '</a>').click(function() {
+			this.ctrl.btn_browse = $('<a href="#">&nbsp;</a>').click(function() {
+				return false;
+			});
+			
+			this.ctrl.btn_cancel = $('<a href="#">' + this.locales.cancel + '</a>').click(function() {
+				return false;
+			});
+			
+			this.ctrl.btn_clean = $('<a href="#">' + this.locales.clean + '</a>').click(function() {
+				return false;
+			});
+			
+			this.ctrl.btn_upload = $('<a href="#">' + this.locales.upload + '</a>').click(function() {
 				return false;
 			});
Index: admin/permissions_blog.php
===================================================================
--- admin/permissions_blog.php	(revision 3)
+++ admin/permissions_blog.php	(revision 0)
@@ -122,5 +122,5 @@
 	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
 	__('Entries per page').'</label> '.
-	'<input type="submit" value="'.__('Apply filters').'" />'.
+	'<input type="submit" value="'.__('filter').'" />'.
 	$hidden_fields.'</p>'.
 	'</div>'.
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 3)
+++ admin/plugins.php	(revision 0)
@@ -254,5 +254,5 @@
 			$core->formNonce().
 			form::hidden(array('plugin_id'),html::escapeHTML($k)).
-			($is_deactivable ? '<input type="submit" name="deactivate" value="'.__('Deactivate').'" /> ' : '').
+			($is_deactivable ? '<input type="submit" class="activate" name="deactivate" value="'.__('Deactivate').'" /> ' : '').
 			($is_deletable ? '<input type="submit" class="delete" name="delete" value="'.__('Delete').'" /> ' : '').
 			'</div>'.
@@ -297,5 +297,5 @@
 			form::hidden(array('plugin_id'),html::escapeHTML($k)).
 			form::hidden(array('deactivated'),1).
-			($is_activable ? '<input type="submit" value="'.__('Activate').'" /> ' : '').
+			($is_activable ? '<input type="submit" class="activate" name="activate" value="'.__('Activate').'" /> ' : '').
 			($is_deletable ? '<input type="submit" class="delete" name="delete" value="'.__('Delete').'" /> ' : '').
 			'</div>'.
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 3)
+++ admin/post.php	(revision 0)
@@ -477,5 +477,5 @@
 	'<input type="submit" value="'.__('save').' (s)" tabindex="4" '.
 	'accesskey="s" name="save" /> '.
-	($can_delete ? '<input type="submit" class="delete" value="'.__('delete').'" name="delete" />' : '').
+	($can_delete ? '<input type="submit" value="'.__('delete').'" name="delete" />' : '').
 	$core->formNonce().
 	'</p>';
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 3)
+++ admin/posts.php	(revision 0)
@@ -230,7 +230,5 @@
 if (!$core->error->flag())
 {
-	echo 
-	'<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Entries').'</h2>'.
-	'<p class="top-add"><a class="button add" href="post.php"><img src="images/add.png" alt="" /> '.__('New entry').'</a></p>';
+	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Entries').'</h2>';
 	
 	if (!$show_filters) {
@@ -267,6 +265,6 @@
 	form::combo('order',$order_combo,$order).'</label></p>'.
 	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
-	__('Entries per page').'</label></p> '.
-	'<p><input type="submit" value="'.__('Apply filters').'" /></p>'.
+	__('Entries per page').'</label> '.
+	'<input type="submit" value="'.__('filter').'" /></p>'.
 	'</div>'.
 	'</div>'.
